Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 143923 - NullPointerException at com.sun.tools.javac.comp.Flow.visitVarDef
NullPointerException at com.sun.tools.javac.comp.Flow.visitVarDef
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Compiler
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Dusan Balek
issues@java
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
: RANDOM
Depends on:
Blocks: 152191
  Show dependency treegraph
 
Reported: 2008-08-14 14:05 UTC by rbrink
Modified: 2009-06-02 13:32 UTC (History)
22 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.42 KB, text/plain)
2008-08-14 14:05 UTC, rbrink
Details
stacktrace (365 bytes, text/plain)
2008-08-15 09:02 UTC, rbrink
Details
stacktrace (2.21 KB, text/plain)
2008-08-29 20:43 UTC, Torbjorn Norbye
Details
.dump file which hopefully helps reproduce the problem (not valid source, I was in the middle of editing when error happened) (31.63 KB, text/plain)
2008-08-29 20:52 UTC, Torbjorn Norbye
Details
stacktrace (2.21 KB, text/plain)
2008-09-02 23:37 UTC, jonast
Details
stacktrace (4.24 KB, text/plain)
2008-09-12 03:04 UTC, javydreamercsw
Details
stacktrace (255 bytes, text/plain)
2008-09-29 20:03 UTC, fsoares
Details
stacktrace (2.36 KB, text/plain)
2009-04-06 15:33 UTC, vanob
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rbrink 2008-08-14 14:05:18 UTC
Build: NetBeans IDE 6.5 Beta (Build 200808111757)
VM: Java HotSpot(TM) Client VM, 1.6.0-b105, Java(TM) SE Runtime Environment, 1.6.0-b105
OS: Linux, 2.6.15-1-686-smp, i386

User Comments: 


Stacktrace: 
java.lang.NullPointerException
Comment 1 rbrink 2008-08-14 14:05:32 UTC
Created attachment 67414 [details]
stacktrace
Comment 2 Peter Pis 2008-08-14 14:50:27 UTC
Reassigning to java.
Comment 3 rbrink 2008-08-15 09:02:08 UTC
Build: NetBeans IDE 6.5 Beta (Build 200808111757)
VM: Java HotSpot(TM) Client VM, 1.6.0-b105, Java(TM) SE Runtime Environment, 1.6.0-b105
OS: Linux, 2.6.15-1-686-smp, i386

User Comments: 


Stacktrace: 
java.lang.NullPointerException
Comment 4 rbrink 2008-08-15 09:02:17 UTC
Created attachment 67499 [details]
stacktrace
Comment 5 Torbjorn Norbye 2008-08-29 20:43:25 UTC
Build: NetBeans IDE Dev (Build 080828)
VM: Java HotSpot(TM) Client VM, 1.5.0_13-119, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_13-b05-237
OS: Mac OS X, 10.5.4, i386

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Flow.visitVarDef(Flow.java:746)
        at com.sun.tools.javac.tree.JCTree$JCVariableDecl.accept(JCTree.java:713)
        at com.sun.tools.javac.tree.TreeScanner.scan(TreeScanner.java:49)
        at com.sun.tools.javac.comp.Flow.scanStat(Flow.java:499)
        at com.sun.tools.javac.comp.Flow.scanDef(Flow.java:485)
        at com.sun.tools.javac.comp.Flow.visitClassDef(Flow.java:593)
Comment 6 Torbjorn Norbye 2008-08-29 20:43:29 UTC
Created attachment 68664 [details]
stacktrace
Comment 7 Torbjorn Norbye 2008-08-29 20:52:56 UTC
Created attachment 68665 [details]
.dump file which hopefully helps reproduce the problem (not valid source, I was in the middle of editing when error happened)
Comment 8 jonast 2008-09-02 23:37:12 UTC
Build: NetBeans IDE Dev (Build 200809020201)
VM: Java HotSpot(TM) Client VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_05-b13
OS: Windows Vista, 6.0, x86

User Comments: 
copying and pasting in source code

Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Flow.visitVarDef(Flow.java:746)
        at com.sun.tools.javac.tree.JCTree$JCVariableDecl.accept(JCTree.java:713)
        at com.sun.tools.javac.tree.TreeScanner.scan(TreeScanner.java:49)
        at com.sun.tools.javac.comp.Flow.scanStat(Flow.java:499)
        at com.sun.tools.javac.comp.Flow.scanDef(Flow.java:485)
        at com.sun.tools.javac.comp.Flow.visitClassDef(Flow.java:593)
Comment 9 jonast 2008-09-02 23:37:16 UTC
Created attachment 68913 [details]
stacktrace
Comment 10 javydreamercsw 2008-09-12 03:03:52 UTC
Build: NetBeans IDE Dev (Build 200809081401)
VM: Java HotSpot(TM) Client VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_05-b13
OS: Windows Vista, 6.0, x86

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Flow.visitVarDef(Flow.java:746)
        at com.sun.tools.javac.tree.JCTree$JCVariableDecl.accept(JCTree.java:713)
        at com.sun.tools.javac.tree.TreeScanner.scan(TreeScanner.java:49)
        at com.sun.tools.javac.comp.Flow.scanStat(Flow.java:499)
        at com.sun.tools.javac.comp.Flow.scanDef(Flow.java:485)
        at com.sun.tools.javac.comp.Flow.visitClassDef(Flow.java:593)
Comment 11 javydreamercsw 2008-09-12 03:04:01 UTC
Created attachment 69699 [details]
stacktrace
Comment 12 fsoares 2008-09-29 20:03:35 UTC
Build: NetBeans IDE Dev (Build 200809220201)
VM: Java HotSpot(TM) Client VM, 10.0-b23, Java(TM) SE Runtime Environment, 1.6.0_07-b06
OS: Linux, 2.6.26.3-14.fc8, i386

User Comments: 
Editing a jsp file

Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Flow.visitVarDef(Flow.java:746)
        at com.sun.tools.javac.tree.JCTree$JCVariableDecl.accept(JCTree.java:713)
        at com.sun.tools.javac.tree.TreeScanner.scan(TreeScanner.java:49)
        at com.sun.tools.javac.comp.Flow.scanStat(Flow.java:499)
        at com.sun.tools.javac.comp.Flow.scanDef(Flow.java:485)
        at com.sun.tools.javac.comp.Flow.visitClassDef(Flow.java:632)
Comment 13 fsoares 2008-09-29 20:03:45 UTC
Created attachment 70831 [details]
stacktrace
Comment 14 Exceptions Reporter 2008-12-25 03:39:21 UTC
This issue has already 50 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=85106
Comment 15 Dusan Balek 2009-01-02 15:34:51 UTC
A reproducible test case would be appreciated.
Comment 16 Dusan Balek 2009-01-06 14:46:50 UTC
fsoares, could you please attach one of the dump files generated into your ${nb.userdir}/var/log folder? Thanks.
Comment 17 Dusan Balek 2009-01-12 11:28:58 UTC
Should be fixed together with #156470.
Comment 18 David Strupl 2009-01-13 08:43:22 UTC
Please note: if someone takes the new javac (s)he must include also fix for #151422 otherwise things will be broken.
Comment 19 Jiri Prox 2009-01-13 11:38:02 UTC
verified in
Product Version: NetBeans IDE Dev (Build 20090113073351)
Java: 1.6.0_11; Java HotSpot(TM) Client VM 11.0-b16
System: Linux version 2.6.24-23-generic running on i386; UTF-8; en_US (nb)
Comment 20 rbalada 2009-01-13 13:00:20 UTC
Petre,

changeset has been reported in issue 156470.
Comment 21 pgebauer 2009-01-15 09:59:10 UTC
As was mentioned in both third and fourth comments above, this issue have to be fixed together with IZ#156470 and IZ#151422 but the issue 151422 isn't 
suitable a candidate for a patch.
Comment 22 Marian Mirilovic 2009-01-15 10:38:35 UTC
petr, issue 151422 has 32 duplicates - I think it's suitable for patch 2 as well.
Comment 23 pgebauer 2009-01-15 10:53:51 UTC
Removed from a patch after discussion with QA.
Comment 24 Exceptions Reporter 2009-01-21 10:06:13 UTC
Reopening - reproduced in NetBeans IDE Dev (Build 200901200201)
http://statistics.netbeans.org/exceptions/detail.do?id=85106
Comment 25 Dusan Balek 2009-01-21 16:27:56 UTC
Fixed.

changeset a0fc84df254f in main/nb-javac
details: http://hg.netbeans.org/main/nb-javac?cmd=changeset;node=a0fc84df254f
changeset 8409d17a9684 in main
details: http://hg.netbeans.org/main?cmd=changeset;node=8409d17a9684
Comment 26 Quality Engineering 2009-01-23 07:28:48 UTC
Integrated into 'main-golden', will be available in build *200901230201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/8409d17a9684
User: Dusan Balek <dbalek@netbeans.org>
Log: Issues #143923 and #144011 fixed.
Comment 27 vanob 2009-04-06 15:33:12 UTC
Build: NetBeans IDE 6.5 (Build 200811100001)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) Platform, Standard Edition for Business, 1.6.0_10-b33
OS: SunOS, 5.11, x86

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Flow.visitVarDef(Flow.java:746)
        at com.sun.tools.javac.tree.JCTree$JCVariableDecl.accept(JCTree.java:713)
        at com.sun.tools.javac.tree.TreeScanner.scan(TreeScanner.java:49)
        at com.sun.tools.javac.comp.Flow.scanStat(Flow.java:499)
        at com.sun.tools.javac.comp.Flow.scanStats(Flow.java:507)
        at com.sun.tools.javac.comp.Flow.visitBlock(Flow.java:758)
Comment 28 vanob 2009-04-06 15:33:26 UTC
Created attachment 79535 [details]
stacktrace


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo